This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 450830 - Various compile warnings from groupd
Various compile warnings from groupd
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cman (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: David Teigland
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-11 05:26 EDT by Steve Whitehouse
Modified: 2009-11-18 10:54 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 10:54:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Whitehouse 2008-06-11 05:26:41 EDT
From the ia64 build logs:

make[3]: Leaving directory `/usr/src/upstream/cluster/rhcluster/obj-ia64/group/lib'
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\"
-I/usr/src/upstream/cluster/rhcluster/cluster/config/libs/libccsconfdb
-I/usr/src/upstream/cluster/rhcluster/cluster/cman/lib
-I/usr/src/upstream/cluster/rhcluster/cluster/dlm/libdlm
-I/usr/src/upstream/cluster/rhcluster/cluster/dlm/libdlmcontrol -I/usr/include
-I/usr/src/upstream/cluster/rhcluster/cluster/fence/libfenced/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/../lib/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/../include/
-I/usr/include -c -o action.o
/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/action.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\"
-I/usr/src/upstream/cluster/rhcluster/cluster/config/libs/libccsconfdb
-I/usr/src/upstream/cluster/rhcluster/cluster/cman/lib
-I/usr/src/upstream/cluster/rhcluster/cluster/dlm/libdlm
-I/usr/src/upstream/cluster/rhcluster/cluster/dlm/libdlmcontrol -I/usr/include
-I/usr/src/upstream/cluster/rhcluster/cluster/fence/libfenced/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/../lib/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/../include/
-I/usr/include -c -o config.o
/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/config.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\"
-I/usr/src/upstream/cluster/rhcluster/cluster/config/libs/libccsconfdb
-I/usr/src/upstream/cluster/rhcluster/cluster/cman/lib
-I/usr/src/upstream/cluster/rhcluster/cluster/dlm/libdlm
-I/usr/src/upstream/cluster/rhcluster/cluster/dlm/libdlmcontrol -I/usr/include
-I/usr/src/upstream/cluster/rhcluster/cluster/fence/libfenced/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/../lib/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/../include/
-I/usr/include -c -o cpg.o
/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/cpg.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\"
-I/usr/src/upstream/cluster/rhcluster/cluster/config/libs/libccsconfdb
-I/usr/src/upstream/cluster/rhcluster/cluster/cman/lib
-I/usr/src/upstream/cluster/rhcluster/cluster/dlm/libdlm
-I/usr/src/upstream/cluster/rhcluster/cluster/dlm/libdlmcontrol -I/usr/include
-I/usr/src/upstream/cluster/rhcluster/cluster/fence/libfenced/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/../lib/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/../include/
-I/usr/include -c -o crc.o
/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/crc.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\"
-I/usr/src/upstream/cluster/rhcluster/cluster/config/libs/libccsconfdb
-I/usr/src/upstream/cluster/rhcluster/cluster/cman/lib
-I/usr/src/upstream/cluster/rhcluster/cluster/dlm/libdlm
-I/usr/src/upstream/cluster/rhcluster/cluster/dlm/libdlmcontrol -I/usr/include
-I/usr/src/upstream/cluster/rhcluster/cluster/fence/libfenced/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/../lib/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/../include/
-I/usr/include -c -o deadlock.o
/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/deadlock.c
/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/deadlock.c:1158:
warning: 'deadlk_confchg' defined but not used
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\"
-I/usr/src/upstream/cluster/rhcluster/cluster/config/libs/libccsconfdb
-I/usr/src/upstream/cluster/rhcluster/cluster/cman/lib
-I/usr/src/upstream/cluster/rhcluster/cluster/dlm/libdlm
-I/usr/src/upstream/cluster/rhcluster/cluster/dlm/libdlmcontrol -I/usr/include
-I/usr/src/upstream/cluster/rhcluster/cluster/fence/libfenced/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/../lib/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/../include/
-I/usr/include -c -o main.o
/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/main.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\"
-I/usr/src/upstream/cluster/rhcluster/cluster/config/libs/libccsconfdb
-I/usr/src/upstream/cluster/rhcluster/cluster/cman/lib
-I/usr/src/upstream/cluster/rhcluster/cluster/dlm/libdlm
-I/usr/src/upstream/cluster/rhcluster/cluster/dlm/libdlmcontrol -I/usr/include
-I/usr/src/upstream/cluster/rhcluster/cluster/fence/libfenced/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/../lib/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/../include/
-I/usr/include -c -o member_cman.o
/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/member_cman.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\"
-I/usr/src/upstream/cluster/rhcluster/cluster/config/libs/libccsconfdb
-I/usr/src/upstream/cluster/rhcluster/cluster/cman/lib
-I/usr/src/upstream/cluster/rhcluster/cluster/dlm/libdlm
-I/usr/src/upstream/cluster/rhcluster/cluster/dlm/libdlmcontrol -I/usr/include
-I/usr/src/upstream/cluster/rhcluster/cluster/fence/libfenced/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/../lib/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/../include/
-I/usr/include -c -o netlink.o
/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/netlink.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\"
-I/usr/src/upstream/cluster/rhcluster/cluster/config/libs/libccsconfdb
-I/usr/src/upstream/cluster/rhcluster/cluster/cman/lib
-I/usr/src/upstream/cluster/rhcluster/cluster/dlm/libdlm
-I/usr/src/upstream/cluster/rhcluster/cluster/dlm/libdlmcontrol -I/usr/include
-I/usr/src/upstream/cluster/rhcluster/cluster/fence/libfenced/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/../lib/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/../include/
-I/usr/include -c -o plock.o
/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/plock.c
/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/plock.c: In
function 'write_result':
/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/plock.c:778:
warning: ignoring return value of 'write', declared with attribute
warn_unused_result
/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/plock.c: In
function '_receive_sync':
/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/plock.c:1379:
warning: format '%llx' expects type 'long long unsigned int', but argument 5 has
type '__u64'
/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/plock.c:1379:
warning: format '%llx' expects type 'long long unsigned int', but argument 5 has
type '__u64'
/usr/src/upstream/cluster/rhcluster/cluster/group/dlm_controld/plock.c:1379:
warning: format '%llx' expects type 'long long unsigned int', but argument 3 has
type '__u64'
Comment 1 Steve Whitehouse 2008-06-11 05:27:51 EDT
Also gfs_controld seems to suffer from the same or similar issues:
make[3]: Leaving directory `/usr/src/upstream/cluster/rhcluster/obj-ia64/group/lib'
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\"
-I/usr/src/upstream/cluster/rhcluster/cluster/config/libs/libccsconfdb
-I/usr/src/upstream/cluster/rhcluster/cluster/cman/lib -I/usr/include
-I/usr/include -I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../libgfscontrol
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../../fence/libfenced/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../lib/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../include/
-I/usr/include -c -o main.o
/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/main.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\"
-I/usr/src/upstream/cluster/rhcluster/cluster/config/libs/libccsconfdb
-I/usr/src/upstream/cluster/rhcluster/cluster/cman/lib -I/usr/include
-I/usr/include -I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../libgfscontrol
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../../fence/libfenced/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../lib/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../include/
-I/usr/include -c -o member_cman.o
/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/member_cman.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\"
-I/usr/src/upstream/cluster/rhcluster/cluster/config/libs/libccsconfdb
-I/usr/src/upstream/cluster/rhcluster/cluster/cman/lib -I/usr/include
-I/usr/include -I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../libgfscontrol
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../../fence/libfenced/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../lib/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../include/
-I/usr/include -c -o config.o
/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/config.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\"
-I/usr/src/upstream/cluster/rhcluster/cluster/config/libs/libccsconfdb
-I/usr/src/upstream/cluster/rhcluster/cluster/cman/lib -I/usr/include
-I/usr/include -I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../libgfscontrol
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../../fence/libfenced/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../lib/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../include/
-I/usr/include -c -o cpg-old.o
/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/cpg-old.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\"
-I/usr/src/upstream/cluster/rhcluster/cluster/config/libs/libccsconfdb
-I/usr/src/upstream/cluster/rhcluster/cluster/cman/lib -I/usr/include
-I/usr/include -I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../libgfscontrol
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../../fence/libfenced/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../lib/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../include/
-I/usr/include -c -o group.o
/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/group.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\"
-I/usr/src/upstream/cluster/rhcluster/cluster/config/libs/libccsconfdb
-I/usr/src/upstream/cluster/rhcluster/cluster/cman/lib -I/usr/include
-I/usr/include -I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../libgfscontrol
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../../fence/libfenced/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../lib/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../include/
-I/usr/include -c -o util.o
/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/util.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\"
-I/usr/src/upstream/cluster/rhcluster/cluster/config/libs/libccsconfdb
-I/usr/src/upstream/cluster/rhcluster/cluster/cman/lib -I/usr/include
-I/usr/include -I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../libgfscontrol
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../../fence/libfenced/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../lib/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/../include/
-I/usr/include -c -o plock.o
/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/plock.c
/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/plock.c: In
function 'write_result':
/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/plock.c:760:
warning: ignoring return value of 'write', declared with attribute
warn_unused_result
/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/plock.c: In
function '_receive_sync':
/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/plock.c:1348:
warning: format '%llx' expects type 'long long unsigned int', but argument 5 has
type '__u64'
/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/plock.c:1348:
warning: format '%llx' expects type 'long long unsigned int', but argument 5 has
type '__u64'
/usr/src/upstream/cluster/rhcluster/cluster/group/gfs_controld/plock.c:1348:
warning: format '%llx' expects type 'long long unsigned int', but argument 3 has
type '__u64'
Comment 2 John Poelstra 2008-10-18 00:02:54 EDT
What version of the package has these issues?
Comment 3 Steve Whitehouse 2008-10-20 05:01:56 EDT
Upstream/rawhide, i.e. the latest version.
Comment 4 Bug Zapper 2008-11-25 21:24:29 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-11-18 07:33:21 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 David Teigland 2009-11-18 10:54:11 EST
(unsigned long long) casts are the generally accepted way to portably print 64 bit values; ia64 will just have to suffer if it can't deal with that.

Note You need to log in before you can comment on or make changes to this bug.